Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.util
Class NeuronProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<java.lang.Object,java.lang.Object>
              java.util.Properties
                  org.neuroph.util.NeuronProperties

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

    public class NeuronProperties

extends java.util.Properties

Represents properties of a neuron.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`NeuronProperties()`
`NeuronProperties(TransferFunctionType transferFunctionType)`
`NeuronProperties(WeightsFunctionType weightsFunctionType, SummingFunctionType summingFunctionType, TransferFunctionType transferFunctionType)`

Method Summary
`java.lang.String` | `getSummingFunction()`
`java.util.Properties` | `getTransferFunctionProperties()`
`java.lang.String` | `getWeightsFunction()`
`void` | `setProperty(java.lang.String key, java.lang.Double value)`
`void` | `setProperty(java.lang.String key, java.lang.Object value)`
`void` | `setProperty(java.lang.String key, SummingFunctionType value)`
`void` | `setProperty(java.lang.String key, TransferFunctionType value)`
`void` | `setProperty(java.lang.String key, WeightsFunctionType value)`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NeuronProperties

    public NeuronProperties()

### NeuronProperties

    public NeuronProperties(TransferFunctionType transferFunctionType)

### NeuronProperties

    public NeuronProperties(WeightsFunctionType weightsFunctionType,
                            SummingFunctionType summingFunctionType,
                            TransferFunctionType transferFunctionType)

Method Detail

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.Object value)

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.Double value)

### setProperty

    public void setProperty(java.lang.String key,
                            TransferFunctionType value)

### setProperty

    public void setProperty(java.lang.String key,
                            WeightsFunctionType value)

### setProperty

    public void setProperty(java.lang.String key,
                            SummingFunctionType value)

### getWeightsFunction

    public java.lang.String getWeightsFunction()

### getSummingFunction

    public java.lang.String getSummingFunction()

### getTransferFunctionProperties

    public java.util.Properties getTransferFunctionProperties()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD